View Issue Details

IDProjectCategoryLast Update
0024310AI War 2[All Projects] Bug - OtherJan 20, 2021 11:55 am
ReporterChthonAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version2.713 Marauding Again 
Fixed in VersionBeta 2.719 Unity 2019.4, And Performance 
Summary0024310: Repeated Bug for host after non-host transfers ships out of transport with Viral Shredder
DescriptionAfter a non-host transferred some ships out of a transport containing viral shredders, the host (me) started getting repeated errors constantly until I shut the game down.

The log is provided.

How to repeat. I don't know if it's easily repeatable. Save after is provided as well.
TagsNo tags attached.

Relationships

related to 0024297 resolvedx4000Bughunter Viral Shredders Make More and More Copies Upon Loading Saves 
related to 0024349 resolvedx4000Bughunter viral shredders throw continuous errors after swapping fleets 

Activities

Chthon

Jan 9, 2021 4:51 am

reporter  

Errors.save (535,266 bytes)
ArcenDebugLog (1).txt (1,707,196 bytes)
Errors.savemet (185 bytes)

Chthon

Jan 9, 2021 7:31 pm

reporter   ~0060259

Seems to happen with other ships as well that create temporary ships on death or on hit.

x4000Bughunter

Jan 11, 2021 3:19 pm

administrator   ~0060272

It looks like this is from a fairly old version of the game, going by the log. I think I may have fixed this already. Do you still see the error in newer versions of the game?

RocketAssistedPuffin

Jan 11, 2021 4:15 pm

reporter   ~0060274

12/27/2020 9:04:50 PM 2.709 HOST BuildForMembershipsByBuildPoints: Build points attempt for Viral Shredder Copy: no base unit type exists in this fleet for 'ViralShredder'.

On Viral Shredder and copies:

            unit_to_make_with_build_points="ViralShredderCopy"
            base_ship_line_for_build_points="ViralShredder" <-----

If you swap the Viral Shredders out, the copies that remain in the previous Fleet don't have anything to check against.

Copies are already immune to being swapped.

Chthon

Jan 11, 2021 4:43 pm

reporter   ~0060276

This is still happening in the current version. I'll post a log next time it starts happening.

Chthon

Jan 11, 2021 4:44 pm

reporter   ~0060277

Sorry about the "late" report, I accidentally made the original report against AI War Classic, and it didn't get noticed. I moved it over here when I realized what happened.

x4000Bughunter

Jan 11, 2021 5:38 pm

administrator   ~0060287

Ah... okay, I see, thanks Puffin. I guess what I need to do is make these things silently fail in the event that they don't find something (copies only).

My reasoning is basically: once you've moved the main viral shredders to a new fleet, you have some copies that get left behind. Those copies are fine... but should NOT keep making more copies. So basically that's where the silent fail of "yeah actually we should not be doing anything under these circumstances" kicks in. The left-behind copies wind up fighting and dying, but never making any more of themselves.

To some extent, when the main viral shredders are moved, any copies should go along with, or should be terminated, but that gets very tricky. Things like hydra heads and whatnot (leftover stuff that was generated) overall stays where it is right now, and adjusting that is not the easiest thing, or something that is relevant for very long, usually.

I guess when it looks for the build points here for the copies, and finds that the main is gone, the best thing is to just delete them at that time to avoid confusion. I guess I could pair that with a "when this ship line moves, look for this other ship line and also move it," but that won't work super well with ship inheritance. I suppose it could be "look for a type that references me as a base, instead of itself," and copy whatever that is. Then all the viral shredders, copies and all, will get moved over.

Crabby

Jan 18, 2021 2:01 pm

reporter   ~0060332

So the viral shredders left over were intentional? Well, I'm going to relate this to something I reported anyways.

x4000Bughunter

Jan 20, 2021 11:55 am

administrator   ~0060362

Thanks!

* When viral shredders are transferred between fleet lines, if there are any viral shredder copies left behind, they will delete themselves.
** Previously, they were intead throwing endless streams of errors.

Issue History

Date Modified Username Field Change
Jan 9, 2021 4:51 am Chthon New Issue
Jan 9, 2021 4:51 am Chthon File Added: Errors.save
Jan 9, 2021 4:51 am Chthon File Added: Errors.savemet
Jan 9, 2021 4:51 am Chthon File Added: ArcenDebugLog (1).txt
Jan 9, 2021 7:31 pm Chthon Note Added: 0060259
Jan 11, 2021 3:19 pm x4000Bughunter Note Added: 0060272
Jan 11, 2021 3:19 pm x4000Bughunter Assigned To => x4000Bughunter
Jan 11, 2021 3:19 pm x4000Bughunter Status new => feedback
Jan 11, 2021 4:15 pm RocketAssistedPuffin Note Added: 0060274
Jan 11, 2021 4:43 pm Chthon Note Added: 0060276
Jan 11, 2021 4:43 pm Chthon Status feedback => assigned
Jan 11, 2021 4:44 pm Chthon Note Added: 0060277
Jan 11, 2021 5:38 pm x4000Bughunter Note Added: 0060287
Jan 18, 2021 2:01 pm Crabby Note Added: 0060332
Jan 18, 2021 2:01 pm Crabby Relationship added related to 0024297
Jan 19, 2021 11:48 pm PetGhost Relationship added related to 0024349
Jan 20, 2021 11:55 am x4000Bughunter Status assigned => resolved
Jan 20, 2021 11:55 am x4000Bughunter Resolution open => fixed
Jan 20, 2021 11:55 am x4000Bughunter Fixed in Version => Beta 2.719 Unity 2019.4, And Performance
Jan 20, 2021 11:55 am x4000Bughunter Note Added: 0060362